package com.rv.points.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.util.List;

public class SignRecordBean extends BaseBean {
    private boolean rel;
    private List<SignRecord> data;

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public List<SignRecord> getData() {
        return data;
    }

    public void setData(List<SignRecord> data) {
        this.data = data;
    }

    public static class SignRecord {
        private long id;
        private long userId;
        private int type;
        private int point;
        private String integralRuleCode;
        private long crtTime;
        private boolean isValid;
        private boolean isdel;
        private long channelId;

        public long getId() {
            return id;
        }

        public void setId(long id) {
            this.id = id;
        }

        public long getUserId() {
            return userId;
        }

        public void setUserId(long userId) {
            this.userId = userId;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public int getPoint() {
            return point;
        }

        public void setPoint(int point) {
            this.point = point;
        }

        public String getIntegralRuleCode() {
            return integralRuleCode;
        }

        public void setIntegralRuleCode(String integralRuleCode) {
            this.integralRuleCode = integralRuleCode;
        }

        public long getCrtTime() {
            return crtTime;
        }

        public void setCrtTime(long crtTime) {
            this.crtTime = crtTime;
        }

        public boolean isValid() {
            return isValid;
        }

        public void setValid(boolean valid) {
            isValid = valid;
        }

        public boolean isIsdel() {
            return isdel;
        }

        public void setIsdel(boolean isdel) {
            this.isdel = isdel;
        }

        public long getChannelId() {
            return channelId;
        }

        public void setChannelId(long channelId) {
            this.channelId = channelId;
        }
    }
}
